package com.bcxin.tenant.domain.repository.impls;

import com.bcxin.tenant.domain.entities.OrganizationEntity;
import com.bcxin.tenant.domain.entities.SuperviseDepartmentEntity;
import com.bcxin.tenant.domain.repositories.OrganizationRepository;
import com.bcxin.tenant.domain.repositories.SuperviseDepartmentRepository;
import com.bcxin.tenant.domain.repositories.dtos.OrganizationDto;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface SuperviseDepartmentJpaRepository extends SuperviseDepartmentRepository, JpaRepository<SuperviseDepartmentEntity, Long> {

    List<SuperviseDepartmentEntity> findByRegionId(String regionId);

}
